Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export
Class BaseExportImportCommand

    java.lang.Object
      com.jaspersoft.jasperserver.export.BaseExportImportCommand

Direct Known Subclasses:
  ExportCommand, ImportCommand

    public abstract class BaseExportImportCommand

extends java.lang.Object

Version:
  $Id: BaseExportImportCommand.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected static interface` | `BaseExportImportCommand.SpringResourceFactory`

Field Summary
`static java.lang.String` | `ARG_COMMAND_BEAN`
`static java.lang.String` | `ARG_CONFIG_FILES`
`static java.lang.String` | `ARG_CONFIG_RESOURCES`
`static java.lang.String` | `ARG_HELP`
`protected static BaseExportImportCommand.SpringResourceFactory` | `classPathResourceFactory`
`protected static CommandOut` | `commandOut`
`protected static BaseExportImportCommand.SpringResourceFactory` | `fileSystemResourceFactory`
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`protected` | `BaseExportImportCommand(java.lang.String defaultBeanName, java.lang.String helpBeanName)`

Method Summary
`protected org.springframework.context.ConfigurableApplicationContext` | `createSpringContext(Parameters exportParameters)`
`protected static void` | `debugArgs(java.lang.String[] args)`
`protected CommandBean` | `getCommandBean(Parameters exportParameters, org.springframework.context.ApplicationContext ctx)`
`protected java.lang.String` | `getCommandBeanName(Parameters exportParameters)`
`protected java.lang.String` | `getConfigSeparator()`
`protected CommandHelp` | `getHelpBean(org.springframework.context.ApplicationContext ctx)`
`protected Parameters` | `parseArgs(java.lang.String[] args)`
`protected void` | `process(java.lang.String[] args)`
`protected void` | `registerConfig(java.lang.String[] locations, org.springframework.beans.factory.xml.XmlBeanDefinitionReader reader, BaseExportImportCommand.SpringResourceFactory resourceFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

### commandOut

    protected static final CommandOut commandOut

### ARG_CONFIG_FILES

    public static final java.lang.String ARG_CONFIG_FILES

See Also:
  Constant Field Values

### ARG_CONFIG_RESOURCES

    public static final java.lang.String ARG_CONFIG_RESOURCES

See Also:
  Constant Field Values

### ARG_COMMAND_BEAN

    public static final java.lang.String ARG_COMMAND_BEAN

See Also:
  Constant Field Values

### ARG_HELP

    public static final java.lang.String ARG_HELP

See Also:
  Constant Field Values

### fileSystemResourceFactory

    protected static final BaseExportImportCommand.SpringResourceFactory fileSystemResourceFactory

### classPathResourceFactory

    protected static final BaseExportImportCommand.SpringResourceFactory classPathResourceFactory

Constructor Detail

### BaseExportImportCommand

    protected BaseExportImportCommand(java.lang.String defaultBeanName,
                                      java.lang.String helpBeanName)

Method Detail

### debugArgs

    protected static void debugArgs(java.lang.String[] args)

### process

    protected void process(java.lang.String[] args)

### parseArgs

    protected Parameters parseArgs(java.lang.String[] args)

### createSpringContext

    protected org.springframework.context.ConfigurableApplicationContext createSpringContext(Parameters exportParameters)

### registerConfig

    protected void registerConfig(java.lang.String[] locations,
                                  org.springframework.beans.factory.xml.XmlBeanDefinitionReader reader,
                                  BaseExportImportCommand.SpringResourceFactory resourceFactory)

### getConfigSeparator

    protected java.lang.String getConfigSeparator()

### getCommandBean

    protected CommandBean getCommandBean(Parameters exportParameters,
                                         org.springframework.context.ApplicationContext ctx)

### getHelpBean

    protected CommandHelp getHelpBean(org.springframework.context.ApplicationContext ctx)

### getCommandBeanName

    protected java.lang.String getCommandBeanName(Parameters exportParameters)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.